### Class

# FwupdPlugin KernelSearchPathLocker

#### Description [src]

    final class FwupdPlugin.KernelSearchPathLocker : GObject.Object
    {
      /* No available fields */
    }

Easily reset the firmware search path.

#### Ancestors

- GObject

#### Constructors

###### fu_kernel_search_path_locker_new

Sets the kernel firmware search path. When the `FuKernelSearchPathLocker` is deallocated path is restored to the previous value.

since: 2.0.6

#### Instance methods

###### fu_kernel_search_path_locker_get_path

Gets the kernel search path set using this locker.

since: 2.0.7

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginKernelSearchPathLockerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.